%global realname ssl_verify_fun
%global upstream deadtrickster
%global upstream_reponame %{realname}.erl

Name:     erlang-%{realname}
Version:  1.1.6
Release:  %mkrel 2
Summary:  Collection of ssl verification functions for Erlang
Group:    Development/Erlang
License:  MIT
URL:      https://github.com/%{upstream}/%{upstream_reponame}
Source0:  https://github.com/%{upstream}/%{upstream_reponame}/archive/%{version}/%{upstream_reponame}-%{version}.tar.gz
# Fix the path used in `load_cert/1` during tests
Patch0:   erlang-ssl_verify_fun-fix-tests-load_cert.patch
BuildArch:	noarch
BuildRequires:  erlang-rebar

%description
%{summary}.

%prep
%autosetup -p0 -n %{upstream_reponame}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}

%check
%{erlang_test}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/



%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.1.6-2.mga9
+ Revision: 1836503
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 1.1.6-1.mga8
+ Revision: 1661545
- new version 1.1.6
- update RPM group
- make pkg noarch

* Mon May 04 2020 umeabot <umeabot> 1.1.4-2.mga8
+ Revision: 1579768
- Mageia 8 Mass Rebuild

* Tue Nov 20 2018 wally <wally> 1.1.4-1.mga7
+ Revision: 1332408
- imported package erlang-ssl_verify_fun


* Wed Aug 01 2018 Timothée Floure <fnux@fedoraproject.org> - 1.1.4-1
- New upstream release

* Sun Jul 15 2018 Timothée Floure <fnux@fedoraproject.org> - 1.1.3-1
- Let there be package
